package com.me.asteroids;

import com.me.asteroids.components.AccelerationComponent;
import com.me.asteroids.components.AsteroidComponent;
import com.me.asteroids.components.BulletComponent;
import com.me.asteroids.components.ColliderComponent;
import com.me.asteroids.components.DebrisComponent;
import com.me.asteroids.components.DecayComponent;
import com.me.asteroids.components.GameDataComponent;
import com.me.asteroids.components.ModelComponent;
import com.me.asteroids.components.PlayerComponent;
import com.me.asteroids.components.PositionComponent;
import com.me.asteroids.components.VelocityComponent;
import com.me.common.ecs.ComponentMapper;

public class Components {

    public static final ComponentMapper<AccelerationComponent> ACCELERATION;
    public static final ComponentMapper<AsteroidComponent> ASTEROID;
    public static final ComponentMapper<BulletComponent> BULLET;
    public static final ComponentMapper<ColliderComponent> COLLIDER;
    public static final ComponentMapper<DebrisComponent> DEBRIS;
    public static final ComponentMapper<DecayComponent> DECAY;
    public static final ComponentMapper<GameDataComponent> GAME_DATA;
    public static final ComponentMapper<ModelComponent> MODEL;
    public static final ComponentMapper<PlayerComponent> PLAYER;
    public static final ComponentMapper<PositionComponent> POSITION;
    public static final ComponentMapper<VelocityComponent> VELOCITY;


    static {
        ACCELERATION = ComponentMapper.getFor(AccelerationComponent.class);
        ASTEROID = ComponentMapper.getFor(AsteroidComponent.class);
        BULLET = ComponentMapper.getFor(BulletComponent.class);
        COLLIDER = ComponentMapper.getFor(ColliderComponent.class);
        DEBRIS = ComponentMapper.getFor(DebrisComponent.class);
        DECAY = ComponentMapper.getFor(DecayComponent.class);
        GAME_DATA = ComponentMapper.getFor(GameDataComponent.class);
        MODEL = ComponentMapper.getFor(ModelComponent.class);
        PLAYER = ComponentMapper.getFor(PlayerComponent.class);
        POSITION = ComponentMapper.getFor(PositionComponent.class);
        VELOCITY = ComponentMapper.getFor(VelocityComponent.class);
    }
}
